200OKThe request succeeded and the response body contains the requested data.
Response Body Parameters
TrendDataResponse
Property
Description
Type
calendarType
The type of calendar periods being returned, either “Calendar” or “Fiscal”.
This applies to CurrentYear, PeriodRange, and dates in the Values array
string
currentYear
The latest calendar or fiscal year, denotes the YTD year
integer (int32)
entities
Entity metadata for each series in the response (e.g., commodity name, place, or group)
TimeSeriesEntity[]
TimeSeriesEntity properties
Property
Description
Type
display
Primary display label for the entity
string
id
Unique identifier of the entity within its type
integer (int32)
secondaryDisplay
Secondary display label (e.g., code when name is primary)
string
type
The grouping type (e.g., “Commodity”, “Place”, “Organization”)
string
periodRange
PeriodRange
PeriodRange properties
Property
Description
Type
endPeriod
The end period for the range
integer (int32)
startPeriod
The start period for the range
integer (int32)
target
TrendTarget
TrendTarget properties
Property
Description
Type
targetLabel
Target label
string
targetValue
Total value (use or cost) for the target year in the unit of the value being reported on
number (double)
targetYTDLabel
Target YTD label
string
targetYTDValue
Year to date value (use or cost) for the target year in the unit of the value being reported on
number (double)
targetYear
Target year
integer (int32)
values
Time series values with date, value, unit, and entity reference
TimeSeriesValue[]
TimeSeriesValue properties
Property
Description
Type
date
string (date-time)
formattedValue
Value, serialized as a String. This is the value that should be displayed to the
User. If Value is very large or to a high degree of precision its Number value
in Javascript cannot be relied upon. Other client languages might have similar
limitations. In order to guarantee that Value is displayed to the User to the
same degree of precision as is stored in the readings database, this
formattedValue property must be used.
string
id
integer (int32)
unit
The Unit that Value is expressed in. E.g. “kWh”.
string
value
Value, as a decimal. Note that this could be very large, and/or to a high degree of
precision. In particular, in Javascript, it might not be able to be precisely
represented in a 64-bit float. See: formattedValue.